net.sf.jasperreports.charts.fill

## Class JRFillGanttSeries

- java.lang.Object
- - net.sf.jasperreports.charts.fill.JRFillGanttSeries

- All Implemented Interfaces:
    JRGanttSeries

      public class JRFillGanttSeries
      extends java.lang.Object
      implements JRGanttSeries

  Version:
    $Id: JRFillGanttSeries.java 5877 2013-01-07 19:51:14Z teodord $
  Author:
    Peter Risko (peter@risko.hu)

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected JRGanttSeries` | `parent`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JRFillGanttSeries(JRGanttSeries ganttSeries, JRFillObjectFactory factory)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `evaluate(JRCalculator calculator)`
    `protected void` | `evaluateItemHyperlink(JRCalculator calculator)`
    `protected java.util.Date` | `getEndDate()`
    `JRExpression` | `getEndDateExpression()`
    `JRHyperlink` | `getItemHyperlink()` Returns the hyperlink specification for chart items.
    `protected java.lang.String` | `getLabel()`
    `JRExpression` | `getLabelExpression()`
    `protected java.lang.Number` | `getPercent()`
    `JRExpression` | `getPercentExpression()`
    `protected JRPrintHyperlink` | `getPrintItemHyperlink()`
    `protected java.lang.Comparable<?>` | `getSeries()`
    `JRExpression` | `getSeriesExpression()`
    `protected java.util.Date` | `getStartDate()`
    `JRExpression` | `getStartDateExpression()`
    `protected java.lang.String` | `getSubtask()`
    `JRExpression` | `getSubtaskExpression()`
    `protected java.lang.String` | `getTask()`
    `JRExpression` | `getTaskExpression()`
    `boolean` | `hasItemHyperlinks()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### parent

          protected JRGanttSeries parent

  - ### Constructor Detail

    - #### JRFillGanttSeries

          public JRFillGanttSeries(JRGanttSeries ganttSeries,
                           JRFillObjectFactory factory)

  - ### Method Detail

    - #### getSeriesExpression

          public JRExpression getSeriesExpression()

      Specified by:
        `getSeriesExpression` in interface `JRGanttSeries`
      Returns:
        the expression of the series name

    - #### getStartDateExpression

          public JRExpression getStartDateExpression()

      Specified by:
        `getStartDateExpression` in interface `JRGanttSeries`
      Returns:
        the start date expression

    - #### getEndDateExpression

          public JRExpression getEndDateExpression()

      Specified by:
        `getEndDateExpression` in interface `JRGanttSeries`
      Returns:
        the end date expression

    - #### getTaskExpression

          public JRExpression getTaskExpression()

      Specified by:
        `getTaskExpression` in interface `JRGanttSeries`
      Returns:
        the expression of the task name

    - #### getSubtaskExpression

          public JRExpression getSubtaskExpression()

      Specified by:
        `getSubtaskExpression` in interface `JRGanttSeries`
      Returns:
        the expression of the subtask name

    - #### getPercentExpression

          public JRExpression getPercentExpression()

      Specified by:
        `getPercentExpression` in interface `JRGanttSeries`
      Returns:
        the task percent expression

    - #### getLabelExpression

          public JRExpression getLabelExpression()

      Specified by:
        `getLabelExpression` in interface `JRGanttSeries`
      Returns:
        the label expression

    - #### getSeries

          protected java.lang.Comparable<?> getSeries()

    - #### getStartDate

          protected java.util.Date getStartDate()

    - #### getEndDate

          protected java.util.Date getEndDate()

    - #### getTask

          protected java.lang.String getTask()

    - #### getSubtask

          protected java.lang.String getSubtask()

    - #### getPercent

          protected java.lang.Number getPercent()

    - #### getLabel

          protected java.lang.String getLabel()

    - #### getPrintItemHyperlink

          protected JRPrintHyperlink getPrintItemHyperlink()

    - #### evaluate

          protected void evaluate(JRCalculator calculator)
                           throws JRExpressionEvalException

      Throws:
        `JRExpressionEvalException`

    - #### evaluateItemHyperlink

          protected void evaluateItemHyperlink(JRCalculator calculator)
                                        throws JRExpressionEvalException

      Throws:
        `JRExpressionEvalException`

    - #### getItemHyperlink

          public JRHyperlink getItemHyperlink()

      Description copied from interface: `JRGanttSeries`
      Returns the hyperlink specification for chart items.

      The hyperlink will be evaluated for every chart item and an image map will be created for the chart.

      Specified by:
        `getItemHyperlink` in interface `JRGanttSeries`
      Returns:
        hyperlink specification for chart items

    - #### hasItemHyperlinks

          public boolean hasItemHyperlinks()

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com